<?php

add_action( 'admin_init', 'importytube_check_update' );

function importytube_check_update() {
    
    $importytube_pversion = "1.0.3";
    $importytube_ctransient = get_transient( 'importytube_s3_version' );
    
    if( false !== $importytube_ctransient ) {
        
        if ($importytube_pversion == $importytube_ctransient) {
            
        } else {
            add_action( 'admin_notices', 'importytube_update_notice' );
        }
        
    } else {
    
        $importytube_checker = wp_remote_get( 'https://newsblogempire.s3.amazonaws.com/WTP2023/wtp-plugin-version.json' );
        
        $importytube_checkerapibody = wp_remote_retrieve_body( $importytube_checker );
        $importytube_checkerapidata = json_decode( $importytube_checkerapibody );
        
        $importytube_gets3version = $importytube_checkerapidata->import_ytube_version;
        
        if ($importytube_pversion == $importytube_gets3version) {
            
        } else {
            add_action( 'admin_notices', 'importytube_update_notice' );
            set_transient( 'importytube_s3_version', $importytube_gets3version, 900 );
        }
        

    }
        
}

function importytube_update_notice() {
    echo '<div class="notice notice-warning" style="max-width:700px !important;margin-top:15px !important;margin-bottom:30px;"><p><strong>WP Import YTube:</strong> A new plugin update has been released. <a href="https://wpthemeplugin.org/free-downloads/import-ytube/" target="_blank">Please download the latest version here</a>.</p></div>';
}